<?php

namespace AustraliaPost\Extensions\Business\Endpoints\Errors;

class Max_Weight_Error extends Error
{
	const PRODUCTS = [
		'B20' => 'Parcel Post',
		'B30' => 'Express Post',
	];
	/**
	 * @return string
	 */
	public function error_message()
	{
		if (strpos($this->message, 'has a weight of') !== false) {
			$message_split = explode(' ', $this->message, 2);
			$message = sprintf('One shipment %s', $message_split[1]);
			foreach (self::PRODUCTS as $product_key => $product_name) {
				$message = str_replace($product_key, $product_name, $message);
			}
			return $message;
		}

		return $this->message;
	}
}
